import 'package:zhiying_base_widget/widgets/goods_details/coupon/counpon_sk.dart';
import 'package:zhiying_base_widget/widgets/goods_details/footer/goods_details_footer_sk.dart';
import 'package:zhiying_base_widget/widgets/goods_details/slide_banner/goods_details_slide_banner_sk.dart';
import 'package:zhiying_base_widget/widgets/goods_details/store/store_sk.dart';
import 'package:zhiying_base_widget/widgets/goods_details/upgrade_tip/upgrade_tip_sk.dart';
import 'package:zhiying_comm/util/shimmer_util.dart';
import 'package:flutter/material.dart';

class GoodsDetailsPageSkeleton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Stack(
        children: <Widget>[
          Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              /// 轮播图
              GoodsDetailsSlideBannerSkeleton(),
              SizedBox(height: 12.5),

              /// 更新
              UpgradeTipSkeleton(),

              /// 商店
              StoreSkeleton(),

              /// 优惠卷
              CounponSkeleton(),
              SizedBox(height: 15),

              /// 图片
              ShimmerUtil.getShimmerWidget(width: double.infinity, height: 40),
              ShimmerUtil.getShimmerWidget(width: double.infinity, height: 40),
            ],
          ),
          Align(
            alignment: Alignment.bottomCenter,
            child: GoodsDetailsFooterSkeleton(),
          )
        ],
      ),
    );
  }
}
